<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>TODOs • pkgpurl</title><script src="lightswitch.js"></script><script src="deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="deps/bootstrap-5.3.1/bootstrap.min.css" rel="stylesheet"><script src="deps/bootstrap-5.3.1/bootstrap.bundle.min.js"></script><link href="deps/font-awesome-6.5.2/css/all.min.css" rel="stylesheet"><link href="deps/font-awesome-6.5.2/css/v4-shims.min.css" rel="stylesheet"><script src="deps/headroom-0.11.0/headroom.min.js"></script><script src="deps/headroom-0.11.0/jQuery.headroom.min.js"></script><script src="deps/bootstrap-toc-1.0.1/bootstrap-toc.min.js"></script><script src="deps/clipboard.js-2.0.11/clipboard.min.js"></script><script src="deps/search-1.0.0/autocomplete.jquery.min.js"></script><script src="deps/search-1.0.0/fuse.min.js"></script><script src="deps/search-1.0.0/mark.min.js"></script><!-- pkgdown --><script src="pkgdown.js"></script><meta property="og:title" content="TODOs"><meta name="twitter:card" content="summary"><meta name="twitter:creator" content="@2BSalim"><meta name="twitter:site" content="@2BSalim"><meta name="robots" content="noindex"><script src="https://rpkg.dev/counter-dev.min.js" data-id="4c4963fe-9fcf-4d81-95bb-2135e114b85b" data-utcoffset="1"></script></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>


    <nav class="navbar navbar-expand-lg fixed-top " aria-label="Site navigation"><div class="container">

    <a class="navbar-brand me-2" href="index.html">pkgpurl</a>

    <small class="nav-text text-danger me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="In-development version">0.0.9015</small>


    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="nav-item"><a class="nav-link" href="reference/index.html">Reference</a></li>
      </ul><ul class="navbar-nav"><li class="nav-item"><form class="form-inline" role="search">
 <input class="form-control" type="search" name="search-input" id="search-input" autocomplete="off" aria-label="Search site" placeholder="Search for" data-search-index="search.json"></form></li>
<li class="nav-item"><a class="external-link nav-link" href="https://gitlab.com/rpkg.dev/pkgpurl/" aria-label="GitLab"><span class="fa fab fa-gitlab fa-lg"></span></a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-lightswitch" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true" aria-label="Light switch"><span class="fa fa-sun"></span></button>
  <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-lightswitch"><li><button class="dropdown-item" data-bs-theme-value="light"><span class="fa fa-sun"></span> Light</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="dark"><span class="fa fa-moon"></span> Dark</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="auto"><span class="fa fa-adjust"></span> Auto</button></li>
  </ul></li>
      </ul></div>


  </div>
</nav><div class="container template-title-body">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">

      <h1>TODOs</h1>
      <small class="dont-index">Source: <a href="https://gitlab.com/rpkg.dev/pkgpurl/blob/HEAD/TODO.md" class="external-link"><code>TODO.md</code></a></small>
    </div>

<div id="todos" class="section level1">

<ul><li><p>Add <code>.qmd</code> support</p></li>
<li><p>Mention RStudio-Add-In <a href="https://github.com/LudvigOlsen/splitChunk/" class="external-link">splitChunk</a> and file a bug report for native RStudio support for this functionality (the add-in has a few issues; e.g. splits in the wrong source pane when invoked from command palette and the active source pane is not primary one)</p></li>
<li>
<p>Check out</p>
<ul><li><a href="https://rtask.thinkr.fr/when-development-starts-with-documentation/" class="external-link uri">https://rtask.thinkr.fr/when-development-starts-with-documentation/</a></li>
<li>pkg <a href="https://github.com/ThinkR-open/fusen" class="external-link">fusen</a>
</li>
</ul></li>
<li>
<p>Advertise package at relevant places</p>
<ul><li><a href="https://github.com/rstudio/rstudio/issues/5809" class="external-link uri">https://github.com/rstudio/rstudio/issues/5809</a></li>
</ul></li>
<li>
<p>Propose a standard way to render a package’s main <code>Rmd/*.Rmd</code> source file for the pkgdown site (as an article, or better as main menu item), so people can view all Markdown annotations etc. accompanying the code (“literate programming”) in the most readable way? Contra: Benefit compared to the <a href="https://gitlab.com/rpkg.dev/pkgpurl/-/blob/master/Rmd/pkgpurl.Rmd?plain=0" class="external-link">rendered GitLab view</a> would be minimal (currently mainly R code syntax highlighting).</p>
<p>Basically, we’d need to add a vignette <code>vignettes/source_code.Rmd</code> with the following content:</p>
<pre class="rmd"><code>---
title: "R Markdown source code"
output: rmarkdown::html_vignette
vignette: &gt;
  %\VignetteIndexEntry{R Markdown source code}
  %\VignetteEngine{knitr::rmarkdown}
  %\VignetteEncoding{UTF-8}
---

```{r, child = "../Rmd/pkgpurl.Rmd", results = "hide"}
```</code></pre>
<p>What’s left to do would be</p>
<ol style="list-style-type: decimal"><li><p>Differentiate between actual source code blocks (starting with <code>```{r}</code>) and code blocks in accompanying documentation!</p></li>
<li><p>Tweak the CSS to reduce the font size of source code blocks.</p></li>
<li><p>Tweak the CSS to extend width to the right for source code blocks.</p></li>
</ol></li>
</ul></div>

  </main></div>


    <footer><div class="pkgdown-footer-left">
  <p>Developed by Salim Brüggemann.</p>
</div>

<div class="pkgdown-footer-right">
  <p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.1.1.</p>
</div>

    </footer></div>





  </body></html>

